<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: monitor_vortex_gamma.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_985f593f22fcf3a93b5ee7686d3ca58d.html">vdf</a></li><li class="navelem"><a class="el" href="dir_d313df672186f4c7ed00fd6388f5ab9d.html">specific_flow</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">monitor_vortex_gamma.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacemonitor__vortex__gam"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemonitor__vortex__gam.html">monitor_vortex_gam</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a124c2e5ecbb910f392e8bc9b26b8c8a7"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemonitor__vortex__gam.html#a124c2e5ecbb910f392e8bc9b26b8c8a7">monitor_vortex_gam::monitor_vortex_gam_init</a> (vdf)</td></tr>
<tr class="separator:a124c2e5ecbb910f392e8bc9b26b8c8a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7d2b7f7e6cd5e6d2e4069b9487e68b7"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemonitor__vortex__gam.html#aa7d2b7f7e6cd5e6d2e4069b9487e68b7">monitor_vortex_gam::monitor_vortex_gam_update</a> (vdf)</td></tr>
<tr class="separator:aa7d2b7f7e6cd5e6d2e4069b9487e68b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82bcf1ee7a01bf76b14259bcfc3b2710"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="monitor__vortex__gamma_8f90.html#a82bcf1ee7a01bf76b14259bcfc3b2710">prepare_plane_communicaton</a> ()</td></tr>
<tr class="separator:a82bcf1ee7a01bf76b14259bcfc3b2710"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa16ece432794d06d91a32ef64ae37cfb"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="monitor__vortex__gamma_8f90.html#aa16ece432794d06d91a32ef64ae37cfb">communicate_plane_vel</a> ()</td></tr>
<tr class="separator:aa16ece432794d06d91a32ef64ae37cfb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a695484006a63af2fb108cfab42da7d4d"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="monitor__vortex__gamma_8f90.html#a695484006a63af2fb108cfab42da7d4d">finish_plane_communicaton</a> ()</td></tr>
<tr class="separator:a695484006a63af2fb108cfab42da7d4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1def25f05264f19cdb45f6f7d2eeeda"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemonitor__vortex__gam.html#ae1def25f05264f19cdb45f6f7d2eeeda">monitor_vortex_gam::update_ibbox</a> (sd, xmin, xmax, ibb_l, ibb_u)</td></tr>
<tr class="separator:ae1def25f05264f19cdb45f6f7d2eeeda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdb451ebd2cd9e3f42950014f3fb2540"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="monitor__vortex__gamma_8f90.html#acdb451ebd2cd9e3f42950014f3fb2540">get_location_index</a> (sd, loc, ii, jloc)</td></tr>
<tr class="separator:acdb451ebd2cd9e3f42950014f3fb2540"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0551d63719025d3f3ecd786e7820f266"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemonitor__vortex__gam.html#a0551d63719025d3f3ecd786e7820f266">monitor_vortex_gam::setup_parallel_comm</a> (sd)</td></tr>
<tr class="separator:a0551d63719025d3f3ecd786e7820f266"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac660e63ef4dc98f5b417918e3a9c6422"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemonitor__vortex__gam.html#ac660e63ef4dc98f5b417918e3a9c6422">monitor_vortex_gam::monitor_vortex_gam_update_prev</a> (vdf)</td></tr>
<tr class="separator:ac660e63ef4dc98f5b417918e3a9c6422"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a4056920366404f6d65ce184d0c5d2a3e"><td class="memItemLeft" align="right" valign="top">integer, dimension(3), target&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemonitor__vortex__gam.html#a4056920366404f6d65ce184d0c5d2a3e">monitor_vortex_gam::ibb_min</a></td></tr>
<tr class="separator:a4056920366404f6d65ce184d0c5d2a3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cbf581caea4db5e1c633cda87034fb1"><td class="memItemLeft" align="right" valign="top">integer, dimension(3), target&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemonitor__vortex__gam.html#a8cbf581caea4db5e1c633cda87034fb1">monitor_vortex_gam::ibb_max</a></td></tr>
<tr class="separator:a8cbf581caea4db5e1c633cda87034fb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f46b07e5ad303474d22e46621778f55"><td class="memItemLeft" align="right" valign="top">integer, dimension(3)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemonitor__vortex__gam.html#a4f46b07e5ad303474d22e46621778f55">monitor_vortex_gam::ibox</a></td></tr>
<tr class="separator:a4f46b07e5ad303474d22e46621778f55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a13a323e52becb46c6e965131ef8a27"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemonitor__vortex__gam.html#a5a13a323e52becb46c6e965131ef8a27">monitor_vortex_gam::dir</a></td></tr>
<tr class="separator:a5a13a323e52becb46c6e965131ef8a27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a362d570b3f4b54570522508ee634f1"><td class="memItemLeft" align="right" valign="top">integer, dimension(3)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemonitor__vortex__gam.html#a8a362d570b3f4b54570522508ee634f1">monitor_vortex_gam::ibb_min_all</a></td></tr>
<tr class="separator:a8a362d570b3f4b54570522508ee634f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4444e4872725df0804c781600e0796e"><td class="memItemLeft" align="right" valign="top">integer, dimension(3)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemonitor__vortex__gam.html#ad4444e4872725df0804c781600e0796e">monitor_vortex_gam::ibb_max_all</a></td></tr>
<tr class="separator:ad4444e4872725df0804c781600e0796e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a635f82505678cc02c210f92add58cf39"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemonitor__vortex__gam.html#a635f82505678cc02c210f92add58cf39">monitor_vortex_gam::ncv_</a></td></tr>
<tr class="separator:a635f82505678cc02c210f92add58cf39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3145e95034cd5e05663fa093771cd04a"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemonitor__vortex__gam.html#a3145e95034cd5e05663fa093771cd04a">monitor_vortex_gam::ncv</a></td></tr>
<tr class="separator:a3145e95034cd5e05663fa093771cd04a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6e8afd963b483bba2dd348bf1dd9f10"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemonitor__vortex__gam.html#ab6e8afd963b483bba2dd348bf1dd9f10">monitor_vortex_gam::ibuf_min</a></td></tr>
<tr class="separator:ab6e8afd963b483bba2dd348bf1dd9f10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7de05ea6c2aeb0d845118f7250602a1c"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemonitor__vortex__gam.html#a7de05ea6c2aeb0d845118f7250602a1c">monitor_vortex_gam::ibuf_max</a></td></tr>
<tr class="separator:a7de05ea6c2aeb0d845118f7250602a1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3547047abfbfa375ca5a9b2c1ebd6ec4"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemonitor__vortex__gam.html#a3547047abfbfa375ca5a9b2c1ebd6ec4">monitor_vortex_gam::jbuf_min</a></td></tr>
<tr class="separator:a3547047abfbfa375ca5a9b2c1ebd6ec4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab41d9a1596725c0524153384488b3099"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemonitor__vortex__gam.html#ab41d9a1596725c0524153384488b3099">monitor_vortex_gam::jbuf_max</a></td></tr>
<tr class="separator:ab41d9a1596725c0524153384488b3099"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="aa16ece432794d06d91a32ef64ae37cfb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa16ece432794d06d91a32ef64ae37cfb">&#9670;&nbsp;</a></span>communicate_plane_vel()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine monitor_vortex_gam_update::communicate_plane_vel </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacemonitor__vortex__gam.html#a5a13a323e52becb46c6e965131ef8a27">monitor_vortex_gam::dir</a>, <a class="el" href="namespacemonitor__vortex__gam.html#a7de05ea6c2aeb0d845118f7250602a1c">monitor_vortex_gam::ibuf_max</a>, <a class="el" href="namespacemonitor__vortex__gam.html#ab6e8afd963b483bba2dd348bf1dd9f10">monitor_vortex_gam::ibuf_min</a>, <a class="el" href="namespacemonitor__vortex__gam.html#ab41d9a1596725c0524153384488b3099">monitor_vortex_gam::jbuf_max</a>, <a class="el" href="namespacemonitor__vortex__gam.html#a3547047abfbfa375ca5a9b2c1ebd6ec4">monitor_vortex_gam::jbuf_min</a>, and <a class="el" href="namespaceparallel__m.html#a9eb6533f48c829b60b764b0bb4bd5011">parallel_m::mpi_real_wp</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="monitor__vortex__gamma_8f90_aa16ece432794d06d91a32ef64ae37cfb_icgraph.png" border="0" usemap="#monitor__vortex__gamma_8f90_aa16ece432794d06d91a32ef64ae37cfb_icgraph" alt=""/></div>
<map name="monitor__vortex__gamma_8f90_aa16ece432794d06d91a32ef64ae37cfb_icgraph" id="monitor__vortex__gamma_8f90_aa16ece432794d06d91a32ef64ae37cfb_icgraph">
<area shape="rect" id="node2" href="namespacemonitor__vortex__gam.html#aa7d2b7f7e6cd5e6d2e4069b9487e68b7" title="monitor_vortex_gam\l::monitor_vortex_gam\l_update" alt="" coords="216,57,364,113"/>
<area shape="rect" id="node3" href="namespacemonitor__preset.html#a87f9b3d7c25bdaac79a707d99a5a86e3" title="monitor_preset::vdf\l_monitor_preset_update" alt="" coords="412,64,573,105"/>
<area shape="rect" id="node4" href="namespacearts__md__simulation.html#a97a21252e6b5e4038bafa69b3ff35a98" title="arts_md_simulation\l::arts_md_poststep" alt="" coords="624,5,759,47"/>
<area shape="rect" id="node6" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="809,67,973,94"/>
<area shape="rect" id="node8" href="namespacearts__simulation.html#a620c49349fe0e4c7cf28b109aaa0bdbc" title="arts_simulation::arts\l_poststep" alt="" coords="621,171,761,212"/>
<area shape="rect" id="node5" href="arts_2arts__md_8f90.html#a539860039fa2e9f4d5cae3f324d15649" title="simulation_run" alt="" coords="838,13,945,39"/>
<area shape="rect" id="node7" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1049,46,1093,73"/>
<area shape="rect" id="node9" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="838,275,945,302"/>
<area shape="rect" id="node10" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1039,97,1102,123"/>
<area shape="rect" id="node11" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1027,147,1114,174"/>
<area shape="rect" id="node12" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1036,198,1105,225"/>
<area shape="rect" id="node13" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1037,249,1105,275"/>
<area shape="rect" id="node14" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="1023,299,1119,326"/>
<area shape="rect" id="node15" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="1025,350,1117,377"/>
<area shape="rect" id="node16" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="1042,401,1099,427"/>
<area shape="rect" id="node17" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="1033,451,1108,478"/>
<area shape="rect" id="node18" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="1021,502,1120,529"/>
<area shape="rect" id="node19" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="1042,553,1099,579"/>
</map>
</div>

</div>
</div>
<a id="a695484006a63af2fb108cfab42da7d4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a695484006a63af2fb108cfab42da7d4d">&#9670;&nbsp;</a></span>finish_plane_communicaton()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine monitor_vortex_gam_update::finish_plane_communicaton </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="monitor__vortex__gamma_8f90_a695484006a63af2fb108cfab42da7d4d_icgraph.png" border="0" usemap="#monitor__vortex__gamma_8f90_a695484006a63af2fb108cfab42da7d4d_icgraph" alt=""/></div>
<map name="monitor__vortex__gamma_8f90_a695484006a63af2fb108cfab42da7d4d_icgraph" id="monitor__vortex__gamma_8f90_a695484006a63af2fb108cfab42da7d4d_icgraph">
<area shape="rect" id="node2" href="namespacemonitor__vortex__gam.html#aa7d2b7f7e6cd5e6d2e4069b9487e68b7" title="monitor_vortex_gam\l::monitor_vortex_gam\l_update" alt="" coords="236,57,384,113"/>
<area shape="rect" id="node3" href="namespacemonitor__preset.html#a87f9b3d7c25bdaac79a707d99a5a86e3" title="monitor_preset::vdf\l_monitor_preset_update" alt="" coords="432,64,593,105"/>
<area shape="rect" id="node4" href="namespacearts__md__simulation.html#a97a21252e6b5e4038bafa69b3ff35a98" title="arts_md_simulation\l::arts_md_poststep" alt="" coords="644,5,779,47"/>
<area shape="rect" id="node6" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="829,67,993,94"/>
<area shape="rect" id="node8" href="namespacearts__simulation.html#a620c49349fe0e4c7cf28b109aaa0bdbc" title="arts_simulation::arts\l_poststep" alt="" coords="641,171,781,212"/>
<area shape="rect" id="node5" href="arts_2arts__md_8f90.html#a539860039fa2e9f4d5cae3f324d15649" title="simulation_run" alt="" coords="858,13,965,39"/>
<area shape="rect" id="node7" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1069,46,1113,73"/>
<area shape="rect" id="node9" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="858,275,965,302"/>
<area shape="rect" id="node10" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1059,97,1122,123"/>
<area shape="rect" id="node11" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1047,147,1134,174"/>
<area shape="rect" id="node12" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1056,198,1125,225"/>
<area shape="rect" id="node13" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1057,249,1125,275"/>
<area shape="rect" id="node14" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="1043,299,1139,326"/>
<area shape="rect" id="node15" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="1045,350,1137,377"/>
<area shape="rect" id="node16" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="1062,401,1119,427"/>
<area shape="rect" id="node17" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="1053,451,1128,478"/>
<area shape="rect" id="node18" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="1041,502,1140,529"/>
<area shape="rect" id="node19" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="1062,553,1119,579"/>
</map>
</div>

</div>
</div>
<a id="acdb451ebd2cd9e3f42950014f3fb2540"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acdb451ebd2cd9e3f42950014f3fb2540">&#9670;&nbsp;</a></span>get_location_index()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine update_ibbox::get_location_index </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>loc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>ii</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(inout)&#160;</td>
          <td class="paramname"><em>jloc</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a82bcf1ee7a01bf76b14259bcfc3b2710"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82bcf1ee7a01bf76b14259bcfc3b2710">&#9670;&nbsp;</a></span>prepare_plane_communicaton()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine monitor_vortex_gam_update::prepare_plane_communicaton </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacemonitor__vortex__gam.html#a635f82505678cc02c210f92add58cf39">monitor_vortex_gam::ncv_</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="monitor__vortex__gamma_8f90_a82bcf1ee7a01bf76b14259bcfc3b2710_icgraph.png" border="0" usemap="#monitor__vortex__gamma_8f90_a82bcf1ee7a01bf76b14259bcfc3b2710_icgraph" alt=""/></div>
<map name="monitor__vortex__gamma_8f90_a82bcf1ee7a01bf76b14259bcfc3b2710_icgraph" id="monitor__vortex__gamma_8f90_a82bcf1ee7a01bf76b14259bcfc3b2710_icgraph">
<area shape="rect" id="node2" href="namespacemonitor__vortex__gam.html#aa7d2b7f7e6cd5e6d2e4069b9487e68b7" title="monitor_vortex_gam\l::monitor_vortex_gam\l_update" alt="" coords="248,57,396,113"/>
<area shape="rect" id="node3" href="namespacemonitor__preset.html#a87f9b3d7c25bdaac79a707d99a5a86e3" title="monitor_preset::vdf\l_monitor_preset_update" alt="" coords="444,64,605,105"/>
<area shape="rect" id="node4" href="namespacearts__md__simulation.html#a97a21252e6b5e4038bafa69b3ff35a98" title="arts_md_simulation\l::arts_md_poststep" alt="" coords="656,5,791,47"/>
<area shape="rect" id="node6" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="841,67,1005,94"/>
<area shape="rect" id="node8" href="namespacearts__simulation.html#a620c49349fe0e4c7cf28b109aaa0bdbc" title="arts_simulation::arts\l_poststep" alt="" coords="653,171,793,212"/>
<area shape="rect" id="node5" href="arts_2arts__md_8f90.html#a539860039fa2e9f4d5cae3f324d15649" title="simulation_run" alt="" coords="870,13,977,39"/>
<area shape="rect" id="node7" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1081,46,1125,73"/>
<area shape="rect" id="node9" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="870,275,977,302"/>
<area shape="rect" id="node10" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1071,97,1134,123"/>
<area shape="rect" id="node11" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1059,147,1146,174"/>
<area shape="rect" id="node12" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1068,198,1137,225"/>
<area shape="rect" id="node13" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1069,249,1137,275"/>
<area shape="rect" id="node14" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="1055,299,1151,326"/>
<area shape="rect" id="node15" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="1057,350,1149,377"/>
<area shape="rect" id="node16" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="1074,401,1131,427"/>
<area shape="rect" id="node17" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="1065,451,1140,478"/>
<area shape="rect" id="node18" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="1053,502,1152,529"/>
<area shape="rect" id="node19" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="1074,553,1131,579"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
